# $Revision: 1.4 $, $Date: 2005/06/12 00:37:56 $
Summary:	The f2c Fortran to C/C++ conversion program and libraries
Summary(pl):	Program f2c do tumaczenia z Fortranu na C/C++ i biblioteki
Name:		f2c
Version:	20031027
Release:	1
License:	Distributable
Group:		Development/Languages/Fortran
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	bcd2c9ba1307c9fc9f73027c3c4e3d4c
Patch0:		%{name}-20031027.patch
URL:		ftp://ftp.netlib.org/f2c/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
f2c converts Fortran 77 source code to C or C++ source files. If no
Fortran files are named on the command line, f2c can read Fortran from
standard input and write C to standard output.

f2c can also be used (with the -P option) to generate ANSI C header
files for calling Fortran routines from C.

%description -l pl
f2c suy do tumaczenia kodu rdowego w Fortranie 77 na kod
dajc w wyniku pliki z kodem rdowym w C lub C++. Jeli w wierszu
polecenia nie zostan podane adne pliki, f2c bdzie oczekiwa kodu w
Fortranie na standardowym wejciu i pisa kod w C na standardowe
wyjcie.

f2c moe rwnie suy (z opcj -P) do generowania plikw
nagwkowych ANSI C w celu wywoywania procedur fortranowskich z C.

%prep
%setup -q
%patch0 -p1

%build
%ifarch alpha
MFLAG=-mieee
%endif

mkdir -p libf2c/PIC

cp -f libf2c/makefile.u libf2c/Makefile
cp -f src/makefile.u src/Makefile
make -C src f2c \
	CC="%{__cc}" \
	RPM_OPT_FLAGS="%{rpmcflags}" \
	MFLAG="$MFLAG"
make -C libf2c \
	CC="%{__cc}" \
	RPM_OPT_FLAGS="%{rpmcflags} -fPIC" \
	MFLAG="$MFLAG" 

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_libdir},%{_includedir}}

install libf2c/libf2c.a $RPM_BUILD_ROOT%{_libdir}
install f2c.h $RPM_BUILD_ROOT%{_includedir}
install src/f2c $RPM_BUILD_ROOT%{_bindir}
install fc $RPM_BUILD_ROOT%{_bindir}
install src/f2c.1t $RPM_BUILD_ROOT%{_mandir}/man1/f2c.1
install libf2c/libf2c.so.0.22 $RPM_BUILD_ROOT%{_libdir}
ln -sf libf2c.so.0.22 $RPM_BUILD_ROOT%{_libdir}/libf2c.so

rm -rf $RPM_BUILD_ROOT%{_prefix}/liblibf2c.so
 
%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc f2c.ps README permission disclaimer changes src/Notice
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libf2c.so.*.*
%attr(755,root,root) %{_libdir}/libf2c.so
%{_libdir}/libf2c.a
%{_includedir}/f2c.h
%{_mandir}/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: f2c.spec,v $
Revision 1.4  2005/06/12 00:37:56  undefine
- use -fPIC for libf2c

Revision 1.3  2005/05/28 23:34:57  twittner
- CC="%{__cc}"

Revision 1.2  2005/01/17 19:44:09  qboosh
- cleanups, proper optflags, .so perms

Revision 1.1  2005/01/16 16:09:23  ankry
- new, based on mdk spec; newer sources

* Mon Feb 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 20001107-6mdk
- rebuild

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 20001107-5mdk
- rebuild

* Thu Aug 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 20001107-4mdk
- rebuild

* Fri Jul 06 2001 Lenny Cartier <lenny@mandrakesoft.com> 20001107-3mdk
- rebuild

* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 20001107-2mdk
- rebuild

* Wed Nov 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 20001107-1mdk
- used helpful srpm from Martin Wilck <martin@tropos.de> :
	- Updated to most recent sources (20001107).
	- Patch of last version still applies.
	- Bzip'ed the sources
	- Use macros for directories.

* Fri Feb 04 2000 Tim Powers <timp@redhat.com>
- fixed so that man pages are gzip'ed

* Tue Nov 9 1999 Tim Powers <timp@redhat.com>
- updated source to 19991109
- quiet setup

* Wed Jul 28 1999 Tim Powers <timp@redhat.com>
- updated source to 19990728
- updated patch
- added %defattr
- moved changleg to bottom of spec
- built for 6.1

* Tue Apr 27 1999 Bill Nottingham <notting@redhat.com>
- build for powertools

* Tue Mar 30 1999 Alexander L. Belikoff <abel@bfr.co.il>
- upgraded to version 19990326
- adjusted the types in f2c.h for the Alpha
- f2c source is packaged as a .tar.gz file and libf2c inside is already
  extracted - this makes building patches much easier.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 29 1997 Cristian Gafton <gafton@redhat.com>
- upgraded to version 19970805
- added buildroot; removed libs subpackage and made it obsoleted

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Apr 17 1997 Erik Troan <ewt@redhat.com>
- Changed axp tag to alpha

* Fri Apr 11 1997 Michael Fulbright <msf@redhat.com>
- Fixed man page and made it install the troff version in correct place.
- Removed checksum calculation on sources, otherwise we cant patch source!
